/*
 * FileIn.h
 *
 *  Created on: 10 Dec 2012
 *      Author: peter.brewster
 */

#ifndef READFILE_H_
#define READFILE_H_

class FileIn {
public:
	FileIn();
	virtual ~FileIn();

	bool OpenFile(const char * FileName); //to include path
	bool GetDouble (double *data);
	bool GetUInt(unsigned int *data);
	bool GetInt(int *data);
	bool GetBool (void);
	string GetString(char * StringRead);
	bool GetChar(char *data);
	bool CloseFile(void);
	bool ResetFile (void);

private:
    ifstream TheFile;
	bool StrToInt(string s,int * IntTarget);
	bool StrToUint(string s, unsigned int * IntTarget);
	bool StrToDouble(string s, double * DblTarget);
};

#endif /* READFILE_H_ */
